Package org.optaplanner.benchmark.impl.statistic.memoryuse

## Class MemoryUseSubSingleStatistic<Solution_>

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.SubSingleStatistic<Solution_,​StatisticPoint_>
  - - org.optaplanner.benchmark.impl.statistic.ProblemBasedSubSingleStatistic<Solution_,​MemoryUseStatisticPoint>
    - - org.optaplanner.benchmark.impl.statistic.memoryuse.MemoryUseSubSingleStatistic<Solution_>

-     public class MemoryUseSubSingleStatistic<Solution_>
      extends ProblemBasedSubSingleStatistic<Solution_,​MemoryUseStatisticPoint>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemBasedSubSingleStatistic

      `problemStatisticType`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `logger, pointList, subSingleBenchmarkResult`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemoryUseSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)` |
    `MemoryUseSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult, long timeMillisThresholdInterval)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​(Solver<Solution_> solver)` |
    `protected MemoryUseStatisticPoint` | `createPointFromCsvLine​(ScoreDefinition scoreDefinition, List<String> csvLine)` |
    `protected String` | `getCsvHeader()` |
    `void` | `open​(Solver<Solution_> solver)` |

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemBasedSubSingleStatistic

      `getStatisticType, toString`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `getAnchorId, getCsvFile, getCsvFileName, getPointList, getRelativeCsvFilePath, getSubSingleBenchmarkResult, hibernatePointList, initPointList, setPointList, setSubSingleBenchmarkResult, unhibernatePointList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryUseSubSingleStatistic

          public MemoryUseSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)

    - #### MemoryUseSubSingleStatistic

          public MemoryUseSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult,
                                             long timeMillisThresholdInterval)

  - ### Method Detail

    - #### open

          public void open​(Solver<Solution_> solver)

      Specified by:
        `open` in class `SubSingleStatistic<Solution_,​MemoryUseStatisticPoint>`

    - #### close

          public void close​(Solver<Solution_> solver)

      Specified by:
        `close` in class `SubSingleStatistic<Solution_,​MemoryUseStatisticPoint>`

    - #### getCsvHeader

          protected String getCsvHeader()

      Specified by:
        `getCsvHeader` in class `SubSingleStatistic<Solution_,​MemoryUseStatisticPoint>`

    - #### createPointFromCsvLine

          protected MemoryUseStatisticPoint createPointFromCsvLine​(ScoreDefinition scoreDefinition,
                                                                   List<String> csvLine)

      Specified by:
        `createPointFromCsvLine` in class `SubSingleStatistic<Solution_,​MemoryUseStatisticPoint>`